import MD5 from "js-md5";

export const YYYYMMDDHHmmss = "YYYY-MM-DD HH:mm:ss";
export const PLATFORM = "WEB";

if (!localStorage.getItem("deviceId")) {
  localStorage.setItem("deviceId", MD5(Math.random() + "-" + Date.now()));
}
export const DEVICE_ID = localStorage.getItem("deviceId");

export const PROJECT_STATUS = [
  {
    name: "未开始",
    code: "NONE",
  },
  {
    name: "进行中",
    code: "PROCESSING",
  },
  {
    name: "已完成",
    code: "FINISH",
  },
  {
    name: "任务失败",
    code: "FAIL",
  },
  {
    name: "停止中",
    code: "STOPING",
  },
];

export const ORG_GLOSSARY = {
  DESCRIBE01: "整体分析——试卷特征量数",
  DESCRIBE02: "整体分析——等距（10分）分组频数分布",
  DESCRIBE03: "整体分析——科目分数线分组的频数分布",
  DESCRIBE04: "整体分析——科目成绩占初试总分权重",
  DESCRIBE05: "试卷分析——试卷题目编排",
  DESCRIBE06: "试卷分析——试题特征量数",
  DESCRIBE07: "试卷分析——题型题目难度等级构成分布",
  DESCRIBE08: "试卷分析——内容题目难度等级构成分布",
  DESCRIBE09: "试卷分析——能力题目难度等级构成分布（一）",
  DESCRIBE10: "试卷分析——能力题目难度等级构成分布（二）",
  DESCRIBE11: "试卷分析——题型题目区分度等级构成分布",
  DESCRIBE12: "试卷分析——内容题目区分度等级构成分布",
  DESCRIBE13: "试卷分析——能力题目区分度等级构成分布（一）",
  DESCRIBE14: "试卷分析——能力题目区分度等级构成分布（二）",
  DESCRIBE15: "试卷分析——试题难度分组分布（按本科目成绩分组）",
  DESCRIBE16: "试卷分析——试题难度分组分布（按初试总分分组）",
  DESCRIBE17: "试卷分析——客观题选项选择比率分布",
};
