import { httpApp } from "@/plugins/axiosApp";

/** 试卷特征数分页查询 */
export function getSasPaperList(params: {
  courseId?: number;
  projectId: number;
  pageNo?: number;
  pageSize?: number;
}) {
  return httpApp.post("/api/ess/sasPaper/page", params);
}

/** 科目成绩（总分）频率分布-科目成绩占初试总分权重 分页查询 */
export function getSasCourseList(params: {
  courseId?: number;
  projectId: number;
}) {
  return httpApp.post("/api/ess/sasCourse/list", params);
}

/** 科目成绩（总分）频率分布-分段设置 */
export function setSasCourseRangeConfig(params: {
  courseId?: number;
  projectId: number;
  rangeConfig: any;
}) {
  return httpApp.post("/api/ess/sasCourse/rangeConfig", params);
}

/** 整体分析-科目成绩占初试总分权重-分段设置 */
export function setSasCourseTotalRangeConfig(params: {
  courseId?: number;
  projectId: number;
  rangeConfig: any;
}) {
  return httpApp.post("/api/ess/projectCourse/rangeConfig", params);
}
